# Cmd-Cli

Send COBS encoded commands across a serial connection.

```
Usage: cmd [OPTIONS] --port <PORT> <COMMAND>

Commands:
  set-config  Set a key-value configuration
  help        Print this message or the help of the given subcommand(s)

Options:
  -p, --port <PORT>  Serial port to connect to
  -b, --baud <BAUD>  Baud rate for serial connection [default: 9600]
  -h, --help         Print help
```

Example for running directly from the workspace:

```
cargo run --release -p cmd -- --port /dev/ttyACM1 -b 9600 set-config -k mqtt -v 5.196.78.28
```
